Subject: FW: [CNI-(C)] Re: IETF/source code copyright status

From: "Lawrence Rosen" <[email-masked]>
Date: Thu, 13 Apr 2006 20:17:07 -0700

To: IETF IPR WG

This WG may find the following exchange helpful as you consider creating a
list of IETF-acceptable open standards licenses. The email is slightly
edited so you can see the back-and-forth. My brief insertions are marked
"[LR:]".

/Larry Rosen

> -----Original Message-----
> From: CNI-COPYRIGHT -- Copyright & Intellectual Property [mailto:CNI-
> [email-masked]] On Behalf Of Lawrence Rosen
> Sent: Thursday, April 13, 2006 2:01 PM
> To: CNI-COPYRIGHT -- Copyright & Intellectual Property
> Subject: [CNI-(C)] Re: IETF/source code copyright status

[LR:] Greg Aharonian wrote:
> > So how about getting the IETF to mark all standards and associated
> > source
> > codes with flags indicating which sections are 102(a) pure-expression,
> and
> > which sections are 102(b) idea-expression that are freely copyable?
> > People
> > should not have to go to court to be told which is which, especially
> after
> > the bizarre history seen in Lexmark, where in the 21st century, courts
> > were arguing over whether or not computer program control codes are
> > copyrightable.  For example, how about a blanket IETF policy that any
> > control codes in IETF standards are not copyrightable?  That way, users
> > of such IETF standards don't have to suffer a district court ruling that
> > control codes are not functional (fortunately, the appeals court in
> > Lexmark stepped in and stopped such nonsense, at least in that Circuit).

[LR:] Larry Rosen responded:
> Or perhaps better still, have IETF out-license its work under a license
> that allows the copyrightable content to be freely copied....
> 
> I've been agitating for that because, as you point out, it is a thankless
> task to ask a court to apply legal magic to abstract/filter/compare
> software to separate 102(a) work from 102(b) work.

[LR:] The following exchange describes a deeper copyright law issue that
also relates to IETF's specifications and those of other standards
organizations.
> > -----Original Message-----
> > From: CNI-COPYRIGHT -- Copyright & Intellectual Property [mailto:CNI-
> > [email-masked]] On Behalf Of Gregory Aharonian
> > Sent: Thursday, April 13, 2006 11:46 AM
> > To: CNI-COPYRIGHT -- Copyright & Intellectual Property
> > Subject: [CNI-(C)] Re: IETF/source code copyright status

[LR:] Lawrence Rosen wrote:
> > >The IETF is trying very hard to be honest and generous.
> > >I am, however, in strong agreement with Mr. Riolo's second point. It is
> > >about time the copyright community stopped saying that "anything
> written
> > is
> > >copyrighted" and remember that-at least in technical fields-section
> > 102(b)
> > >is co-equal with 102(a): The Merger Doctrine survives in U.S. copyright
> > law.
> > >> Some technical works can be freely copied regardless of copyright
> > >> claims; licenses aren't always needed.

[LR:] Karen Coyle wrote:
> > >This seems a bit odd to me in a world where computer code is
> > >copyrightable. I read section 102(b) to focus on ideas, not their
> > >expression, and the original post was about reproducing the RFC's in
> > >their entirety. Can you give examples of technical works that are
> > >considered exempted by 102(b)?

[LR:] Greg Aharonian responded:
> > Read the latter part of 102(b), which interestingly has never really
> > been discussed in caselaw:
> >
> >       In no case does copyright protection .... extend to any idea
> >       .... REGARDLESS OF THE FORM IN WHICH IT IS
> >       DESCRIBED, EXPLAINED, ILLUSTRATED, OR EMBODIED in such work.
> >
> > Now, one of the dictionary definitions of "form" is "method of
> expression"
> > opening up the following variant of 102(b):
> >
> >       In no case does copyright protection .... extend to any idea
> >       .... REGARDLESS OF THE METHOD OF EXPRESSION IN WHICH IT IS
> >       DESCRIBED, EXPLAINED, ILLUSTRATED, OR EMBODIED in such work.
> >
> > Are descriptions, explanations, illustrations and embodiments, are they
> > expressions?  At least at the appeals court level, this question has
> > never really been addressed, except in one case where the court pretty
> > much said yes, though not very clearly, and then only in a footnote.
> >
> > So ask yourself.  Does source code describe, explain, illustrate and/or
> > embody the idea, processes, system (structure), methods of operation,
> > and concepts in a computer programs (all aspects of which are ideas
> under
> > patent law)?  When patents and Web pages dealing with source code uses
> > phrases such as "source code illustrates", are they using "illustrate"
> > with the same meaning as in 102(b)?  If so, this latter language of
> > 102(b) raises its ugly head. I assume this is what Larry is referring
> to.
> >
> > Greg Aharonian
> > San Francisco, CA

[LR:] This is where the conversation happened:
> This message is sent to you because you are subscribed to
>      the mailing list <[email-masked]>.
> To unsubscribe, E-mail to: <[email-masked]>
> To switch to the DIGEST mode, E-mail to <[email-masked]>
> To switch to the INDEX mode, E-mail to <[email-masked]>
> To postpone your subscription, E-mail to <[email-masked]>
> To resume mail list message delivery from postpone mode, E-mail to <CNI-
> [email-masked]>
> Send administrative queries to  <[email-masked]>
> 
> Visit the CNI-COPYRIGHT e-mail list archive at
> <https://mail2.cni.org/Lists/CNI-COPYRIGHT/>.

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg